package org.springblade.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springblade.system.domain.ArchivedSettingDto;
import org.springblade.system.pojo.entity.Dept;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/9/15 - 9:59
 */
public interface ArchivedSettingMapper {
    List<ArchivedSettingDto> getArchivedSetting(ArchivedSettingDto dto);

    Integer addArchivedSetting(ArchivedSettingDto dto);

    Integer updateArchivedSetting(ArchivedSettingDto dto);

    Integer updatecronExpression(ArchivedSettingDto dto);
}
